import { h } from "@stencil/core";
export class ArchiveIcon {
    constructor() {
        this.width = '15';
        this.height = '15';
    }
    render() {
        return (h("svg", { key: '846883e64fce20852b939ad69b17c50e4a1de305', width: this.width, height: this.height, viewBox: "0 0 24 24", fill: "auto", xmlns: "http://www.w3.org/2000/svg" }, h("path", { key: 'faccfb69f1e2fad408be2c93f9debba7e5bed44f', d: "M3 6H5H21", stroke: "auto", "stroke-width": "1.5" }), h("path", { key: '0a67df705c7bb41f38b3a9f46ba00cf39236d833', d: "M8 6V4C8 3.46957 8.21071 2.96086 8.58579 2.58579C8.96086 2.21071 9.46957 2 10 2H14C14.5304 2 15.0391 2.21071 15.4142 2.58579C15.7893 2.96086 16 3.46957 16 4V6M19 6V20C19 20.5304 18.7893 21.0391 18.4142 21.4142C18.0391 21.7893 17.5304 22 17 22H7C6.46957 22 5.96086 21.7893 5.58579 21.4142C5.21071 21.0391 5 20.5304 5 20V6H19Z", stroke: "auto", "stroke-width": "1.5" }), h("path", { key: '7845f5af5bb6a7db830df4576ea7e7979de4ca6c', d: "M10 11V17", stroke: "auto", "stroke-width": "1.5" }), h("path", { key: 'b8cb556c7133dd3427ad41574121599411f9d741', d: "M14 11V17", stroke: "auto", "stroke-width": "1.5" })));
    }
    static get is() { return "archive-icon"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["icon.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["icon.css"]
        };
    }
    static get properties() {
        return {
            "width": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "width",
                "reflect": false,
                "defaultValue": "'15'"
            },
            "height": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "height",
                "reflect": false,
                "defaultValue": "'15'"
            }
        };
    }
}
//# sourceMappingURL=archive.js.map
