import { h } from "@stencil/core";
export class CloseIcon {
    constructor() {
        this.width = '16';
        this.height = '16';
    }
    render() {
        return (h("svg", { key: '6ba2e8326762d40fed5697c52411e130381cae5e', width: "21", height: "21", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, h("g", { key: 'b99abf46a9ac3e143d261c4a72a8d034072c52e5', "clip-path": "url(#a)" }, h("path", { key: '54b09b0c0d251cc982ab03a66c9c496fb63ea280', d: "M5.73 4.574a.75.75 0 1 0-1.061 1.06l4.419 4.42-4.42 4.42a.75.75 0 1 0 1.061 1.06l4.42-4.42 4.419 4.42a.75.75 0 0 0 1.06-1.06l-4.419-4.42 4.42-4.42a.75.75 0 1 0-1.061-1.06l-4.42 4.42-4.419-4.42Z", fill: "currentColor" })), h("defs", { key: 'f70a23bb36f8b0f4abbdd8ace2ac2ccf2e570b30' }, h("clipPath", { key: '37837d0973c51120ef7a8841d885d5edce2b112d', id: "a" }, h("path", { key: '094391e019662666ac5a51cda34878dbfdeaba8e', fill: "#fff", transform: "translate(.148 .054)", d: "M0 0h20v20H0z" })))));
    }
    static get is() { return "close-icon"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["icon.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["icon.css"]
        };
    }
    static get properties() {
        return {
            "width": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "width",
                "reflect": false,
                "defaultValue": "'16'"
            },
            "height": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "height",
                "reflect": false,
                "defaultValue": "'16'"
            }
        };
    }
}
//# sourceMappingURL=close.js.map
