import { h } from "@stencil/core";
export class GoogleLogoIcon {
    constructor() {
        this.width = '24';
        this.height = '24';
    }
    render() {
        return (h("svg", { key: 'eb0615e5875a4d560edb09dd85fcf0b8bbeb5458', width: this.width, height: this.height, viewBox: "0 0 24 24", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, h("g", { key: '7d040d5b5bc8cf89eabff2ed2695f99bea692b4e', "clip-path": "url(#clip0_959_12452)" }, h("path", { key: '4ddc28c0799291a0c23538444f1c7f5a35959cac', d: "M23.745 12.27C23.745 11.48 23.675 10.73 23.555 10H12.255V14.51H18.725C18.435 15.99 17.585 17.24 16.325 18.09V21.09H20.185C22.445 19 23.745 15.92 23.745 12.27Z", fill: "#4285F4" }), h("path", { key: 'd5b051bacfa0110b66c99273ba6fd591a68237d1', d: "M12.255 24C15.495 24 18.205 22.92 20.185 21.09L16.325 18.09C15.245 18.81 13.875 19.25 12.255 19.25C9.12504 19.25 6.47505 17.14 5.52505 14.29H1.54504V17.38C3.51504 21.3 7.56504 24 12.255 24Z", fill: "#34A853" }), h("path", { key: '6fc0685305b1c96ce35fbf87ccab73f161d648c0', d: "M5.52501 14.2901C5.27501 13.5701 5.145 12.8001 5.145 12.0001C5.145 11.2001 5.28501 10.4301 5.52501 9.71012V6.62012H1.545C0.725004 8.24012 0.255005 10.0601 0.255005 12.0001C0.255005 13.9401 0.725004 15.7601 1.545 17.3801L5.52501 14.2901Z", fill: "#FBBC05" }), h("path", { key: '5946c791195dd03d48b4938d8698ba8e01a7a0b3', d: "M12.255 4.75C14.025 4.75 15.605 5.36 16.855 6.55L20.275 3.13C18.205 1.19 15.495 0 12.255 0C7.56504 0 3.51504 2.7 1.54504 6.62L5.52505 9.71C6.47505 6.86 9.12504 4.75 12.255 4.75Z", fill: "#EA4335" })), h("defs", { key: '9d33e98420dbd0f952496686fd02f41894ab49f4' }, h("clipPath", { key: 'dd192b07d7651bbd74375c1a31e0f3027d9b9a10', id: "clip0_959_12452" }, h("rect", { key: '98c2344df7d506d2579cd793d89fb42feeace8fd', width: 24, height: 24, fill: "white" })))));
    }
    static get is() { return "google-logo-icon"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["icon.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["icon.css"]
        };
    }
    static get properties() {
        return {
            "width": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "width",
                "reflect": false,
                "defaultValue": "'24'"
            },
            "height": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "height",
                "reflect": false,
                "defaultValue": "'24'"
            }
        };
    }
}
//# sourceMappingURL=google-logo.js.map
