import { Fragment, h } from "@stencil/core";
export const SchedulerView = (props, children) => {
    const isLoading = props.isLoading;
    const showNotification = props.showNotification;
    const nylasBranding = props.nylasBranding;
    const version = props.version;
    return (h(Fragment, null, showNotification && h("nylas-notification", null), isLoading && (h("div", { class: 'loading' }, h("div", { class: 'left' }, h("div", { class: 'skeleton' })), h("div", { class: 'right' }, h("div", { class: 'skeleton' }), h("div", { class: 'skeleton' }), h("div", { class: 'skeleton' }), h("div", { class: 'skeleton' }), h("div", { class: 'skeleton' })))), !isLoading && children, h("div", { class: 'footer' }, nylasBranding && (h("a", { href: "https://scheduler.nylas.com?utm_source=powered-by-nylas-logoutm_medium=link&utm_campaign=get-scheduler&utm_id=get-scheduler", class: "powered-by-nylas", target: "_blank", rel: "noreferrer noopener" }, "Powered by\u00A0", h("span", { class: "sr-only" }, "Nylas"), h("nylas-logo", { "aria-hidden": true }))), h("tooltip-component", null, h("info-icon", { slot: "tooltip-icon" }), h("span", { slot: "tooltip-content" }, version)))));
};
//# sourceMappingURL=scheduler-view.js.map
