import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const iconCss = ".sc-archive-icon-h{display:flex}";
const ArchiveIconStyle0 = iconCss;

const ArchiveIcon$1 = proxyCustomElement(class ArchiveIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.width = '15';
        this.height = '15';
    }
    render() {
        return (h("svg", { key: '846883e64fce20852b939ad69b17c50e4a1de305', width: this.width, height: this.height, viewBox: "0 0 24 24", fill: "auto", xmlns: "http://www.w3.org/2000/svg" }, h("path", { key: 'faccfb69f1e2fad408be2c93f9debba7e5bed44f', d: "M3 6H5H21", stroke: "auto", "stroke-width": "1.5" }), h("path", { key: '0a67df705c7bb41f38b3a9f46ba00cf39236d833', d: "M8 6V4C8 3.46957 8.21071 2.96086 8.58579 2.58579C8.96086 2.21071 9.46957 2 10 2H14C14.5304 2 15.0391 2.21071 15.4142 2.58579C15.7893 2.96086 16 3.46957 16 4V6M19 6V20C19 20.5304 18.7893 21.0391 18.4142 21.4142C18.0391 21.7893 17.5304 22 17 22H7C6.46957 22 5.96086 21.7893 5.58579 21.4142C5.21071 21.0391 5 20.5304 5 20V6H19Z", stroke: "auto", "stroke-width": "1.5" }), h("path", { key: '7845f5af5bb6a7db830df4576ea7e7979de4ca6c', d: "M10 11V17", stroke: "auto", "stroke-width": "1.5" }), h("path", { key: 'b8cb556c7133dd3427ad41574121599411f9d741', d: "M14 11V17", stroke: "auto", "stroke-width": "1.5" })));
    }
    static get style() { return ArchiveIconStyle0; }
}, [2, "archive-icon", {
        "width": [1],
        "height": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["archive-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "archive-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ArchiveIcon$1);
            }
            break;
    } });
}

const ArchiveIcon = ArchiveIcon$1;
const defineCustomElement = defineCustomElement$1;

export { ArchiveIcon, defineCustomElement };

//# sourceMappingURL=archive-icon.js.map