import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const iconCss = ".sc-sent-icon-h{display:flex}";
const SentIconStyle0 = iconCss;

const SentIcon$1 = proxyCustomElement(class SentIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.width = '15';
        this.height = '15';
    }
    render() {
        return (h("svg", { key: 'af8457ffa4427dfe04e95d571db14f0256ae4e1f', width: this.width, height: this.height, viewBox: "0 0 24 24", fill: "auto", xmlns: "http://www.w3.org/2000/svg" }, h("path", { key: 'e72a685b39021ffc6ca8a30a69c123835b528f94', d: "M21.5 12L3.5 3.5L3.5 20.5L21.5 12Z", stroke: "auto", "stroke-width": "1.5" }), h("path", { key: 'adf23567c6b6d85a9e162c39b58ca6f8ed5cbc91', d: "M3.5 3.5L12 10.5", stroke: "auto", "stroke-width": "1.5" }), h("path", { key: '10bd3d6f36c572ff8b8f8905bc923abac142f15a', d: "M3.5 20.5L12 13.5", stroke: "auto", "stroke-width": "1.5" })));
    }
    static get style() { return SentIconStyle0; }
}, [2, "sent-icon", {
        "width": [1],
        "height": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["sent-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "sent-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, SentIcon$1);
            }
            break;
    } });
}

const SentIcon = SentIcon$1;
const defineCustomElement = defineCustomElement$1;

export { SentIcon, defineCustomElement };

//# sourceMappingURL=sent-icon.js.map