import { r as registerInstance, h } from './index-091600eb.js';

const iconCss$1 = ".sc-add-circle-icon-h{display:flex}";
const AddCircleIconStyle0 = iconCss$1;

const AddCircleIcon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.width = '24';
        this.height = '25';
    }
    render() {
        return (h("svg", { key: 'f3f2fb57d9face731fdc2dcb2610bdfe4d8695d4', width: this.width, height: this.height, fill: "none", xmlns: "http://www.w3.org/2000/svg" }, h("path", { key: '461ceb94da94f79aece2e208da886ec860b65e14', d: "M12 2.5c5.523 0 10 4.477 10 10s-4.477 10-10 10-10-4.477-10-10 4.477-10 10-10ZM12 4a8.5 8.5 0 1 0 0 17 8.5 8.5 0 0 0 0-17Zm0 3.5a.75.75 0 0 1 .75.75v3.5h3.5a.75.75 0 0 1 0 1.5h-3.5v3.5a.75.75 0 0 1-1.5 0v-3.5h-3.5a.75.75 0 0 1 0-1.5h3.5v-3.5A.75.75 0 0 1 12 7.5Z", fill: "currentColor" })));
    }
};
AddCircleIcon.style = AddCircleIconStyle0;

const iconCss = ".sc-close-icon-h{display:flex}";
const CloseIconStyle0 = iconCss;

const CloseIcon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.width = '16';
        this.height = '16';
    }
    render() {
        return (h("svg", { key: '6ba2e8326762d40fed5697c52411e130381cae5e', width: "21", height: "21", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, h("g", { key: 'b99abf46a9ac3e143d261c4a72a8d034072c52e5', "clip-path": "url(#a)" }, h("path", { key: '54b09b0c0d251cc982ab03a66c9c496fb63ea280', d: "M5.73 4.574a.75.75 0 1 0-1.061 1.06l4.419 4.42-4.42 4.42a.75.75 0 1 0 1.061 1.06l4.42-4.42 4.419 4.42a.75.75 0 0 0 1.06-1.06l-4.419-4.42 4.42-4.42a.75.75 0 1 0-1.061-1.06l-4.42 4.42-4.419-4.42Z", fill: "currentColor" })), h("defs", { key: 'f70a23bb36f8b0f4abbdd8ace2ac2ccf2e570b30' }, h("clipPath", { key: '37837d0973c51120ef7a8841d885d5edce2b112d', id: "a" }, h("path", { key: '094391e019662666ac5a51cda34878dbfdeaba8e', fill: "#fff", transform: "translate(.148 .054)", d: "M0 0h20v20H0z" })))));
    }
};
CloseIcon.style = CloseIconStyle0;

export { AddCircleIcon as add_circle_icon, CloseIcon as close_icon };

//# sourceMappingURL=add-circle-icon_2.entry.js.map