import { EventEmitter } from '../../../stencil-public-runtime';
export declare class CheckboxComponent {
    el: HTMLElement;
    private readonly componentType;
    name: string;
    checked?: boolean;
    label: string;
    readOnly: boolean;
    required: boolean;
    isChecked: boolean;
    error: string;
    nylasFormCheckboxToggled: EventEmitter<{
        checked: boolean;
        name: string;
        label: string;
    }>;
    checkedPropChangedHandler(newValue: boolean): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    handleBookingFormSubmitted(event: CustomEvent): void;
    toggleCheck(): void;
    render(): any;
}
