import { EventEmitter } from '../../../stencil-public-runtime';
import { CheckboxOption, CheckboxGroupDirection } from '@nylas/core';
export declare class CheckboxGroup {
    el: HTMLElement;
    private readonly componentType;
    name: string;
    label: string;
    options: CheckboxOption[];
    required: boolean;
    direction: CheckboxGroupDirection;
    error: string;
    selectedValues: string[];
    nylasCheckboxGroupChanged: EventEmitter<{
        selectedValues: string[];
        name: string;
    }>;
    componentWillLoad(): void;
    componentDidLoad(): void;
    optionsChangedHandler(newValue: CheckboxOption[], oldValue: CheckboxOption[]): void;
    handleBookingFormSubmitted(event: CustomEvent): void;
    private hasCheckedOptions;
    handleCheckboxToggle(event: CustomEvent): void;
    handleCheckboxToggled(event: CustomEvent): void;
    render(): any;
}
