import { EventEmitter } from '../../../stencil-public-runtime';
export declare class InputImageUrl {
    host: HTMLInputImageUrlElement;
    private readonly componentType;
    imageUrl: string;
    errorMessage: string;
    name: string;
    internals: ElementInternals;
    currentImageUrl: string;
    error: string;
    readonly nylasFormInputImageUrlInvalid: EventEmitter<{
        value: string;
        name: string;
    }>;
    valueChanged: EventEmitter<{
        value: string;
        name: string;
        valueChanged?: (event: CustomEvent<{
            value: string;
            name: string;
        }>) => void;
    }>;
    connectedCallback(): void;
    disconnectedCallback(): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    componentWillUpdate(): void;
    componentDidUpdate(): void;
    componentWillRender(): void;
    componentDidRender(): void;
    elementNameChangedHandler(newValue: string): void;
    errorMessageChangedHandler(newValue: string): void;
    nylasFormInputChangedHandler(event: CustomEvent<{
        value: string;
        name: string;
    }>): Promise<void>;
    nylasFormInputBlurHandler(event: CustomEvent<{
        value: string;
        name: string;
    }>): Promise<void>;
    setImage(value: string, valueChanged?: boolean): void;
    render(): any;
}
