import { EventEmitter } from '../../../stencil-public-runtime';
export declare class RadioButtonGroup {
    el: HTMLElement;
    private readonly componentType;
    name: string;
    options: {
        label: string;
        value: string;
        description?: string;
    }[];
    defaultSelectedValue: string;
    label?: string;
    required: boolean;
    readOnly: boolean;
    selectedValue: string;
    error: string;
    nylasFormRadioChanged: EventEmitter<{
        value: string;
        name: string;
        label?: string;
    }>;
    handleDefaultSelectedValueChange(newValue: string): void;
    componentDidLoad(): void;
    handleBookingFormSubmitted(event: CustomEvent): void;
    componentWillLoad(): void;
    handleChange(value: string): void;
    render(): any;
}
