import { EventEmitter } from '../../../stencil-public-runtime';
import { LANGUAGE_CODE } from "../../../common/constants";
export declare class NylasReminderTime {
    host: HTMLElement;
    name: string;
    eventReminderTimeMinutes?: number;
    selectedLanguage?: LANGUAGE_CODE;
    selectedNumber: any;
    selectedPeriod: any;
    errorState: boolean;
    internals: ElementInternals;
    elementNameChangedHandler(newValue: string): void;
    eventReminderTimeMinutesChangedHandler(newValue: number, _oldValue: number): void;
    selectedLanguageChangedHandler(newVal: LANGUAGE_CODE, oldVal: LANGUAGE_CODE): void;
    valueChanged: EventEmitter<{
        value: string;
        name: string;
    }>;
    connectedCallback(): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    nylasSuggestReminderMinutesHandler(event: CustomEvent<{
        minutes: number;
    }>): void;
    timePeriodChangedHandler(event: CustomEvent<{
        number: number;
        period: string;
    }>): void;
    private updateNumberAndPeriodFromMinutes;
    get isInternalsAvailable(): boolean;
    render(): any;
}
