import { Configuration } from '@nylas/core';
import { CONFIGURATION_EVENT_TYPE } from "../../../common/constants";
type RecursivePartial<T> = {
    [P in keyof T]?: T[P] extends (infer U)[] ? RecursivePartial<U>[] : T[P] extends object | undefined ? RecursivePartial<T[P]> : T[P];
};
export type ExpressFlowProps = {
    currentUser: any;
    calendars: any[];
    selectedConfiguration: RecursivePartial<Configuration>;
    selectedEventType: CONFIGURATION_EVENT_TYPE;
};
export default function ExpressFlow({ currentUser, calendars, selectedEventType }: ExpressFlowProps): any;
export {};
