import { h } from "@stencil/core";
export class LoadingIcon {
    constructor() {
        this.width = '15';
        this.height = '15';
    }
    render() {
        return (h("div", { key: 'cb855fdd798e64637d245045e56a97f016f8b74f', class: "wave" }, h("div", { key: '41591d61b8eda97e3abdd2ca83f82aada7d67edc', class: "dot" }), h("div", { key: '096aa4e8c6f1d9cb5a5d1d24cda06298fd0366b1', class: "dot" }), h("div", { key: 'd2dd6942fe7b1a8ca68102e9dea7dae88e341824', class: "dot" })));
    }
    static get is() { return "loading-icon"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["loading.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["loading.css"]
        };
    }
    static get properties() {
        return {
            "width": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "width",
                "reflect": false,
                "defaultValue": "'15'"
            },
            "height": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "height",
                "reflect": false,
                "defaultValue": "'15'"
            }
        };
    }
}
//# sourceMappingURL=loading.js.map
