import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const iconCss = ".sc-inbox-icon-h{display:flex}";
const InboxIconStyle0 = iconCss;

const InboxIcon$1 = proxyCustomElement(class InboxIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.width = '15';
        this.height = '15';
    }
    render() {
        return (h("svg", { key: 'd0245ac33462aa6b2dc178ddbf1ee25f05f8d00c', width: this.width, height: this.height, viewBox: "0 0 24 24", fill: "auto", xmlns: "http://www.w3.org/2000/svg" }, h("path", { key: 'b4eeb4fc87c4edce17c65a44e66d3dddd99fa296', d: "M20 3H4C2.89543 3 2 3.89543 2 5V19C2 20.1046 2.89543 21 4 21H20C21.1046 21 22 20.1046 22 19V5C22 3.89543 21.1046 3 20 3Z", stroke: "auto", "stroke-width": "1.5" }), h("path", { key: 'dbb8284cfa4fd5485f54da8ab68a16ae8f439b8f', d: "M2 5L12 12.5L22 5", stroke: "auto", "stroke-width": "1.5" })));
    }
    static get style() { return InboxIconStyle0; }
}, [2, "inbox-icon", {
        "width": [1],
        "height": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["inbox-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "inbox-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, InboxIcon$1);
            }
            break;
    } });
}

const InboxIcon = InboxIcon$1;
const defineCustomElement = defineCustomElement$1;

export { InboxIcon, defineCustomElement };

//# sourceMappingURL=inbox-icon.js.map