import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const iconCss = ".sc-trash-fill-icon-h{display:flex}";
const TrashFillIconStyle0 = iconCss;

const TrashFillIcon$1 = proxyCustomElement(class TrashFillIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.width = '15';
        this.height = '15';
    }
    render() {
        return (h("svg", { key: 'd91a0b4a4fe83f9e8eda0f0925ddfa4de2e0ba78', width: this.width, height: this.height, viewBox: "0 0 24 24", fill: "auto", xmlns: "http://www.w3.org/2000/svg" }, h("path", { key: '6129e4dcceb4fba9571a9f499fdb0fd36b09a86e', d: "M3 6H5H21", stroke: "auto", "stroke-width": "1.5" }), h("path", { key: '6d06dc26a0f98d8afde40f2c4de69ca8c8d9cc92', d: "M8 6V4C8 3.46957 8.21071 2.96086 8.58579 2.58579C8.96086 2.21071 9.46957 2 10 2H14C14.5304 2 15.0391 2.21071 15.4142 2.58579C15.7893 2.96086 16 3.46957 16 4V6M19 6V20C19 20.5304 18.7893 21.0391 18.4142 21.4142C18.0391 21.7893 17.5304 22 17 22H7C6.46957 22 5.96086 21.7893 5.58579 21.4142C5.21071 21.0391 5 20.5304 5 20V6H19Z", stroke: "auto", "stroke-width": "1.5" }), h("path", { key: 'e5bd2116bb19b79d84ab67139adfac56bd3f3740', d: "M10 11V17", stroke: "auto", "stroke-width": "1.5" }), h("path", { key: 'bc014f02ebd86b4fd85ae744bfc47fed60ab0fe6', d: "M14 11V17", stroke: "auto", "stroke-width": "1.5" })));
    }
    static get style() { return TrashFillIconStyle0; }
}, [2, "trash-fill-icon", {
        "width": [1],
        "height": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["trash-fill-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "trash-fill-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TrashFillIcon$1);
            }
            break;
    } });
}

const TrashFillIcon = TrashFillIcon$1;
const defineCustomElement = defineCustomElement$1;

export { TrashFillIcon, defineCustomElement };

//# sourceMappingURL=trash-fill-icon.js.map