import { TimePeriod } from '@nylas/core';
import { EventEmitter } from '../../../stencil-public-runtime';
export declare class TimePeriodSelector {
    host: HTMLElement;
    timePeriods: TimePeriod[];
    defaultSelectedPeriod: string;
    defaultSelectedNumber: number;
    hasError: boolean;
    selectedPeriod: string;
    selectedNumber: number;
    numberOptions: {
        label: string;
        value: string;
    }[];
    timePeriodOptions: {
        label: string;
        value: string;
    }[];
    defaultSelectedPeriodChanged(newValue: string): void;
    defaultSelectedNumberChanged(newValue: number): void;
    timePeriodsChanged(newValue: {
        label: string;
        value: string;
    }[]): void;
    componentDidLoad(): void;
    timePeriodChanged: EventEmitter<{
        number: number;
        period: string;
    }>;
    private calculateOptions;
    inputOptionChangedHandler(event: CustomEvent<{
        value: string;
        name: string;
    }>): void;
    nylasFormDropdownChangedHandler(event: CustomEvent<{
        value: string;
        name: string;
    }>): void;
    updateNumberOptionsAndSelectedNumber(period: string): void;
    render(): any;
}
