import { EventEmitter } from '../../../stencil-public-runtime';
import { Configuration } from '@nylas/core';
import { LANGUAGE_CODE } from "../../../common/constants";
export declare class NylasBufferTime {
    host: HTMLNylasCalendarPickerElement;
    selectedConfiguration?: Configuration;
    name: string;
    buffer: {
        before: number;
        after: number;
    };
    selectedLanguage?: LANGUAGE_CODE;
    internals: ElementInternals;
    selectedBeforeBufferTime: number;
    selectedAfterBufferTime: number;
    componentLoaded: boolean;
    valueChanged: EventEmitter<{
        value: string;
        name: string;
        valueChanged?: (event: CustomEvent<{
            value: string;
            name: string;
        }>) => void;
    }>;
    connectedCallback(): void;
    disconnectedCallback(): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    componentWillUpdate(): void;
    componentDidUpdate(): void;
    componentWillRender(): void;
    componentDidRender(): void;
    elementNameChangedHandler(newValue: string): void;
    selectedConfigurationChangedHandler(newValue: Configuration): void;
    selectedLanguageChangedHandler(newVal: LANGUAGE_CODE, oldVal: LANGUAGE_CODE): void;
    nylasFormDropdownChangedHandler(event: CustomEvent<{
        value: string;
        name: string;
    }>): void;
    get isInternalsAvailable(): boolean;
    updateFormValue(valueChanged?: boolean): void;
    renderPreview(): any;
    render(): any;
}
