import { EventEmitter } from '../../../stencil-public-runtime';
import { LANGUAGE_CODE } from "../../../common/constants";
import { Configuration, GroupConfiguration } from '@nylas/core';
export declare class NylasDisableEmails {
    host: HTMLNylasDisableEmailsElement;
    selectedConfiguration?: Configuration | GroupConfiguration;
    name: string;
    selectedLanguage?: LANGUAGE_CODE;
    organizerLocale: string;
    disableEmails: boolean;
    internals: ElementInternals;
    valueChanged: EventEmitter<{
        value: string;
        name: string;
        valueChanged?: (event: CustomEvent<{
            value: string;
            name: string;
        }>) => void;
    }>;
    connectedCallback(): void;
    disconnectedCallback(): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    elementNameChangedHandler(newValue: string): void;
    selectedLanguageChangedHandler(newVal: LANGUAGE_CODE, oldVal: LANGUAGE_CODE): void;
    selectedConfigurationChangedHandler(newVal: Configuration | GroupConfiguration, oldVal: Configuration | GroupConfiguration): void;
    nyalsFormSwitchToggledHandler(event: CustomEvent<{
        checked: boolean;
        name: string;
        label: boolean;
    }>): void;
    nylasFormDropdownChangedHandler(event: CustomEvent<{
        value: string;
        name: string;
    }>): void;
    handleSettingValue(valueChanged?: boolean): void;
    render(): any;
}
