import { EventEmitter } from '../../../stencil-public-runtime';
import { LANGUAGE_CODE } from "../../../common/constants";
export declare class NylasEventCapacity {
    host: HTMLNylasEventCapacityElement;
    name: string;
    capacity?: number;
    selectedLanguage?: LANGUAGE_CODE;
    internals: ElementInternals;
    selectedEventCapacity: number;
    error: string;
    valueChanged: EventEmitter<{
        value: string;
        name: string;
        valueChanged?: (event: CustomEvent<{
            value: string;
            name: string;
        }>) => void;
    }>;
    connectedCallback(): void;
    disconnectedCallback(): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    componentWillUpdate(): void;
    componentDidUpdate(): void;
    componentWillRender(): void;
    componentDidRender(): void;
    elementNameChangedHandler(newValue: string): void;
    selectedLanguageChangedHandler(newVal: LANGUAGE_CODE, oldVal: LANGUAGE_CODE): void;
    nylasFormInputChangeHandler(event: CustomEvent<{
        value: string;
        name: string;
    }>): Promise<void>;
    render(): any;
}
