import { EventEmitter } from '../../../stencil-public-runtime';
import { Configuration } from '@nylas/core';
import { LANGUAGE_CODE } from "../../../common/constants";
export declare class NylasEventDuration {
    host: HTMLElement;
    selectedConfiguration?: Configuration;
    name: string;
    eventDurationMinutes?: number;
    selectedLanguage?: LANGUAGE_CODE;
    duration: number;
    durationMinutes: number;
    durationIncrement: number;
    error: string;
    durationMinutesOptions: {
        value: string;
        label: string;
    }[];
    internals: ElementInternals;
    elementNameChangedHandler(newValue: string): void;
    selectedConfigurationChangedHandler(newVal: Configuration): void;
    selectedLanguageChangedHandler(newVal: LANGUAGE_CODE, oldVal: LANGUAGE_CODE): void;
    valueChanged: EventEmitter<{
        value: string;
        name: string;
    }>;
    connectedCallback(): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    get isInternalsAvailable(): boolean;
    setDurationMintueOptions(): {
        value: string;
        label: string;
    }[];
    validateDuration(): string;
    nylasFormDropdownChangedHandler(event: CustomEvent<{
        value: string;
        name: string;
    }>): void;
    inputOptionChangedHandler(event: CustomEvent<{
        value: number;
        name: string;
    }>): void;
    render(): any;
}
