import { EventEmitter } from '../../../stencil-public-runtime';
import { CONFIGURATION_EVENT_TYPE, LANGUAGE_CODE } from "../../../common/constants";
import { AdditionalParticipant, EnableEventTypes } from '@nylas/core';
export declare class NylasSelectEventType {
    host: HTMLNylasSelectEventTypeElement;
    participantOptions?: AdditionalParticipant[];
    name: string;
    selectedLanguage?: LANGUAGE_CODE;
    enableEventTypes?: EnableEventTypes;
    returnToAllSchedulingPagesEvent: EventEmitter<void>;
    createEventTypeSelected: EventEmitter<{
        eventType: CONFIGURATION_EVENT_TYPE;
    }>;
    connectedCallback(): void;
    disconnectedCallback(): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    elementNameChangedHandler(newValue: string): void;
    selectedLanguageChangedHandler(newVal: LANGUAGE_CODE, oldVal: LANGUAGE_CODE): void;
    render(): any;
}
