import { LANGUAGE_CODE } from "../../../common/constants";
import { EventEmitter } from '../../../stencil-public-runtime';
type Time = {
    id: number;
    value: string;
};
export declare class TimeInput {
    el: HTMLElement;
    private timeInput;
    private timeMenu;
    time: string;
    minimumStartTime: string | null;
    placeholder: string;
    name: string;
    hasError: boolean;
    language: LANGUAGE_CODE;
    err: string;
    showTimes: boolean;
    ariaActivedescendant: string;
    times: Time[];
    shouldAutoScroll: boolean;
    timeChange: EventEmitter<{
        key: string;
        value: string;
    }>;
    timeWindowFormError: EventEmitter<{
        key: string;
        message: string;
    }>;
    handleOutsideClick(event: MouseEvent): void;
    minimumStartTimeChangedHandler(): void;
    componentDidRender(): void;
    private handleTimeChange;
    private handleTimeAutocomplete;
    private handleOnInput;
    private generateTimes;
    private handleComboboxKeyDown;
    private handleListboxKeydown;
    scrollToViewWithinParent(optionIndex: number): void;
    focusOption(index: number): void;
    render(): any;
}
export {};
