import { EventEmitter } from '../../../stencil-public-runtime';
import { ConfigSettings } from "../../../stores/scheduler-store";
import { ThemeConfig } from '@nylas/core';
export declare class NylasDatePicker {
    private host;
    selectableDates?: Date[];
    configSettings?: ConfigSettings;
    readonly themeConfig?: any;
    readonly selectedTimezone: string;
    selectedDate?: Date;
    selectedLanguage?: string;
    readonly isLoading?: boolean;
    readonly eventDuration?: number;
    month: Date;
    dates: Date[];
    disableNextMonthButton: boolean;
    selectableDatesTimezone: Date[];
    dateSelected: EventEmitter<Date>;
    monthChanged: EventEmitter<Date>;
    configSettingsChanged(newConfigSettings: ConfigSettings): void;
    selectedLanguageChanged(newLanguage: string): void;
    themeConfigChanged(newThemeConfig: ThemeConfig): void;
    selectedDateChanged(newSelectedDate: Date): void;
    private convertDatesToTimezone;
    selectedTimezoneChanged(newSelectedTimezone: string): void;
    selectableDatesChanged(newSelectableDates: Date[] | undefined): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    applyThemeConfig(themeConfig?: ThemeConfig): void;
    private getDates;
    private selectDate;
    private changeMonth;
    private isSelected;
    private isDisabled;
    render(): any;
}
