import { Notification } from '@nylas/core';
export declare class NylasNotification {
    host: HTMLElement;
    ttl: number | 'none';
    allowedCategories: string[];
    notifications: Notification[];
    onError(event: CustomEvent<{
        notification: Notification;
        host: HTMLElement;
    }>): void;
    onWarning(event: CustomEvent<{
        notification: Notification;
        host: HTMLElement;
    }>): void;
    onInfo(event: CustomEvent<{
        notification: Notification;
        host: HTMLElement;
    }>): void;
    onSuccess(event: CustomEvent<{
        notification: Notification;
        host: HTMLElement;
    }>): void;
    onDismissNotification(event: CustomEvent<{
        id: string;
    }>): void;
    isChildOf(parentHost: HTMLElement): boolean;
    private handleNotification;
    private dismissNotification;
    render(): any;
}
