import type { ThemeConfig, Timeslot } from '@nylas/core';
export declare class NylasSelectedEventCard {
    private host;
    readonly themeConfig?: any;
    readonly selectedDate?: Date;
    readonly selectedTimeslot?: Timeslot;
    readonly selectedTimezone: string;
    readonly selectedLanguage?: string;
    hour12?: boolean;
    startTime: string;
    endTime: string;
    themeConfigChanged(newThemeConfig: ThemeConfig): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    componentWillLoad(): Promise<void>;
    componentDidLoad(): Promise<void>;
    applyThemeConfig(themeConfig?: ThemeConfig): void;
    render(): any;
}
